#ifndef DHCP_ARP_H
#define DHCP_ARP_H


#include <arpa/inet.h>

/* Send ARP query for IP address */

void ar_send_query_ip(int sock, int from_if, 
		      const struct in_addr my_ip, const unsigned char *my_mac,
		      struct in_addr ip);

/* Parse reply */

int ar_parse_reply(const char *dframe, unsigned int plen,
		   unsigned char *smac, struct in_addr *sip,
		   unsigned char *dmac, struct in_addr *dip);

#endif
